#pragma once
#include "Action.h"
#include "mof/DataRow.h"

namespace et{
	class DataBasedAction :	public Action
	{
		mof::DataRow m_actionRow;
		int m_category;
	public:
		DataBasedAction(et::BattlerFacade* pBattler , et::BattlerFacade* pTarget , mof::DataRow& actionRow , int category);
		virtual ~DataBasedAction(void);
		virtual int doActionTo(et::BattlerFacade* pTarget);
		virtual mof::AnimationResource createApproachAnimation();
		virtual mof::AnimationResource createExecuteAnimation();
		virtual mof::tstring getActionMessage();
		virtual bool isDirectAttack();
		virtual mof::GraphicsSchedule* createEffect(et::Common& common);
	};


}